function p.__get_is_solid() return false end
function p.__get_tex() return "" end

function p.__main()
    set_default_block("e")

    local msg_str = "Just below this text box is a glass block.\n\n"
        .. "Take a look at WorldNodes/Nodes/Cubes/block_glass.lua "
        .. "to see how it works.\n\n"
        .. "The image for the sides of a partially "
        .. "transparent block must have the following property: "
        .. "for each pixel P of the image, "
        .. "either P is 100% transparent or 100% opaque.\n\n"
        .. "Note there is also the ^x00ff00block_invisible^! block "
        .. "defined in the base package "
        .. "(which you can read the code of). "
        .. "There are some of these invisible blocks "
        .. "just beyond this text box. "
    h.txt(7,7,2, msg_str)

    set_pos(7,7,0, "glass")
    create_rect("invisible", 3,0,0, 3,15,0)
end
